## com.fasterxml.jackson.databind
Class InjectableValues

    java.lang.Object
      com.fasterxml.jackson.databind.InjectableValues

Direct Known Subclasses:
  InjectableValues.Std

    public abstract class InjectableValues

extends Object

Abstract class that defines API for objects that provide value to "inject" during deserialization. An instance of this object

Nested Class Summary
`static class` `InjectableValues.Std` Simple standard implementation which uses a simple Map to store values to inject, identified by simple String keys.

Constructor Summary
`InjectableValues()`

Method Summary

`abstract Object`

`findInjectableValue(Object valueId, DeserializationContext ctxt, BeanProperty forProperty, Object beanInstance)`
Method called to find value identified by id `valueId` to inject as value of specified property during deserialization, passing POJO instance in which value will be injected if it is available (will be available when injected via field or setter; not available when injected via constructor or factory method argument).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectableValues

    public InjectableValues()

Method Detail

### findInjectableValue

    public abstract Object findInjectableValue(Object valueId,
                                               DeserializationContext ctxt,
                                               BeanProperty forProperty,
                                               Object beanInstance)

  Method called to find value identified by id `valueId` to inject as value of specified property during deserialization, passing POJO instance in which value will be injected if it is available (will be available when injected via field or setter; not available when injected via constructor or factory method argument).

  Parameters:
    `valueId` - Object that identifies value to inject; may be a simple name or more complex identifier object, whatever provider needs
    `ctxt` - Deserialization context
    `forProperty` - Bean property in which value is to be injected
    `beanInstance` - Bean instance that contains property to inject, if available; null if bean has not yet been constructed.

Copyright © 2012 fasterxml.com. All Rights Reserved.